Package tigase.server.bosh

# Enum Class BoshConnectionManager.BOSH_OPERATION_TYPE

java.lang.Object
java.lang.Enum<BoshConnectionManager.BOSH_OPERATION_TYPE>
tigase.server.bosh.BoshConnectionManager.BOSH_OPERATION_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<BoshConnectionManager.BOSH_OPERATION_TYPE>`, `Constable`

Enclosing class:
  BoshConnectionManager

protected static enum BoshConnectionManager.BOSH_OPERATION_TYPE extends Enum<BoshConnectionManager.BOSH_OPERATION_TYPE>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE`
  `INVALID_SID`
  `REMOVE`
  `TIMER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BoshConnectionManager.BOSH_OPERATION_TYPE`
  `forName(String name)`
  `static BoshConnectionManager.BOSH_OPERATION_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BoshConnectionManager.BOSH_OPERATION_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE

    public static final BoshConnectionManager.BOSH_OPERATION_TYPE CREATE

  - ### REMOVE

    public static final BoshConnectionManager.BOSH_OPERATION_TYPE REMOVE

  - ### INVALID_SID

    public static final BoshConnectionManager.BOSH_OPERATION_TYPE INVALID_SID

  - ### TIMER

    public static final BoshConnectionManager.BOSH_OPERATION_TYPE TIMER

- ## Method Details

  - ### values

    public static BoshConnectionManager.BOSH_OPERATION_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BoshConnectionManager.BOSH_OPERATION_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forName

    public static BoshConnectionManager.BOSH_OPERATION_TYPE forName(String name)